<?php
  // Initialisation de la session
  session_start();
  
  // On vérifie que l'utilisateur est loggé, sinon on le renvoie vers l'index
  if(!isset($_SESSION["connecte"]) || $_SESSION["connecte"] !== true) {
      header("location: index.php");
      exit;
  }

  $pseudo = htmlspecialchars($_SESSION["username"]);
?>

<!DOCTYPE html>
<html lang="fr">
<head>
  <meta charset="UTF-8">
  <title>Un super chat !</title>
  <link rel="stylesheet" href="css/app.css" >
  <!-- <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.css"> -->
</head>
<body>
  <header>
    <h1>Bonjour, <span class="pseudo"><?php echo $pseudo; ?></span>. Let's Chat 🐈 !</h1>
  </header>

  <section class="chat">
    <div id="messages">

    </div>
    <form action="poster.php" method="post">
      <input type="hidden" name="pseudo" id="pseudo" value="<?php echo $pseudo; ?>">
      <input type="text" name="contenu" id="contenu" placeholder="Contenu">
      <input type="submit" id="envoi" value="Envoyer">
    </form>
  </section>

  <section>
    <p>
      <a href="logout.php">Déconnexion</a>
      <!-- <br/><a href="reset-password.php">Réinitialiser le mot de passe</a> -->
    </p>
    <p>Variable $Session : <?php print_r($_SESSION); ?></p>
  </section>

  <script src="js/app.js"></script>

</body>
</html>
