<?php

    // Requête de création d'un utilisateur pour les premiers tests
    require_once "config.php";

    $nomUser = "Mathieu";
    $motDePasse = "labarbe";

    // Autre utilisateur : Bernard | Lermite

    // Encodage du mot de passe pour ne pas le stocker dans la BDD en "clair"
    $password = password_hash($motDePasse, PASSWORD_DEFAULT);
    $erreurMsg = "";

    // Connexion à la base 
    try {
        $dbh = connect_db();
        // Prepare an insert statement
        $sql = "INSERT INTO users (username, password, created_at) VALUES (:username, :password, NOW())";
        $requete = $dbh->prepare($sql);
        $requete->bindParam(':username', $nomUser);
        $requete->bindParam(':password', $password);
        $requete->execute();

        $dbh = null;
    } catch (Exception $e) {
        $erreurMsg = "Erreur !: " . $e->getMessage();
    } 
?>

<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <link rel="stylesheet" href="css/app.css" >
        <title>Création user</title>
    </head>
    <body>
        <h1>Création utilisateur <?php echo "$nomUser"; ?></h1>
        <?php 
            if (empty($erreurMsg)) {
                echo "<p>Bonjour $nomUser". 
                "<br/>Vous pouvez vous connecter au chat avec les identifiants :".
                "<br/>nom : $nomUser".
                "<br/>mot de passe : $motDePasse</p>";
            } else {
                echo "<div class=\"msg_alert\"><b>Impossible de créer l'utilisateur :</b> $erreurMsg</div>"; 
            }
        ?>
        <p><a href="index.php">Retour à la connexion</a>
    </body>
</html>